OGRE: Ogre::Degree Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::Degree Class Reference

Wrapper class which indicates a given angle value is in Degrees. More...

`#include <OgreMath.h>`

List of all members.

## Public Member Functions

| Degree (Real d=0)
| Degree (const Radian &r)
Degree & | operator= (const Real &f)
Degree & | operator= (const Degree &d)
Degree & | operator= (const Radian &r)
Real | valueDegrees () const
Real | valueRadians () const
Real | valueAngleUnits () const
const Degree & | operator+ () const
Degree | operator+ (const Degree &d) const
Degree | operator+ (const Radian &r) const
Degree & | operator+= (const Degree &d)
Degree & | operator+= (const Radian &r)
Degree | operator- () const
Degree | operator- (const Degree &d) const
Degree | operator- (const Radian &r) const
Degree & | operator-= (const Degree &d)
Degree & | operator-= (const Radian &r)
Degree | operator * (Real f) const
Degree | operator * (const Degree &f) const
Degree & | operator *= (Real f)
Degree | operator/ (Real f) const
Degree & | operator/= (Real f)
bool | operator< (const Degree &d) const
bool | operator<= (const Degree &d) const
bool | operator== (const Degree &d) const
bool | operator!= (const Degree &d) const
bool | operator>= (const Degree &d) const
bool | operator> (const Degree &d) const

## Private Attributes

Real | mDeg

## Detailed Description

Wrapper class which indicates a given angle value is in Degrees.

Remarks:
  Degree values are interchangeable with Radian values, and conversions will be done automatically between them.

Definition at line 85 of file OgreMath.h.

## Constructor & Destructor Documentation

Ogre::Degree::Degree | ( | Real | d = `0` | ) | `[explicit]`

| Definition at line 90 of file OgreMath.h. References mDeg. Referenced by operator *(), operator+(), operator-(), and operator/().

Ogre::Degree::Degree | ( | const Radian & | r | ) |

| Definition at line 91 of file OgreMath.h. References mDeg, and valueDegrees().

## Member Function Documentation

Degree Ogre::Degree::operator * | ( | const Degree & | f | ) | const

| Definition at line 111 of file OgreMath.h. References Degree(), and mDeg.

Degree Ogre::Degree::operator * | ( | Real | f | ) | const

| Definition at line 110 of file OgreMath.h. References Degree(), and mDeg.

Degree& Ogre::Degree::operator *= | ( | Real | f | ) |

| Definition at line 112 of file OgreMath.h. References mDeg.

bool Ogre::Degree::operator!= | ( | const Degree & | d | ) | const

| Definition at line 119 of file OgreMath.h. References mDeg.

Degree Ogre::Degree::operator+ | ( | const Radian & | r | ) | const

| Definition at line 102 of file OgreMath.h. References Degree(), and mDeg.

Degree Ogre::Degree::operator+ | ( | const Degree & | d | ) | const

| Definition at line 101 of file OgreMath.h. References Degree(), and mDeg.

const Degree& Ogre::Degree::operator+ | ( |  | ) | const

| Definition at line 100 of file OgreMath.h.

Degree& Ogre::Degree::operator+= | ( | const Radian & | r | ) |

| Definition at line 104 of file OgreMath.h. References mDeg, and valueDegrees().

Degree& Ogre::Degree::operator+= | ( | const Degree & | d | ) |

| Definition at line 103 of file OgreMath.h. References mDeg.

Degree Ogre::Degree::operator- | ( | const Radian & | r | ) | const

| Definition at line 107 of file OgreMath.h. References Degree(), and mDeg.

Degree Ogre::Degree::operator- | ( | const Degree & | d | ) | const

| Definition at line 106 of file OgreMath.h. References Degree(), and mDeg.

Degree Ogre::Degree::operator- | ( |  | ) | const

| Definition at line 105 of file OgreMath.h. References Degree(), and mDeg.

Degree& Ogre::Degree::operator-= | ( | const Radian & | r | ) |

| Definition at line 109 of file OgreMath.h. References mDeg, and valueDegrees().

Degree& Ogre::Degree::operator-= | ( | const Degree & | d | ) |

| Definition at line 108 of file OgreMath.h. References mDeg.

Degree Ogre::Degree::operator/ | ( | Real | f | ) | const

| Definition at line 113 of file OgreMath.h. References Degree(), and mDeg.

Degree& Ogre::Degree::operator/= | ( | Real | f | ) |

| Definition at line 114 of file OgreMath.h. References mDeg.

bool Ogre::Degree::operator< | ( | const Degree & | d | ) | const

| Definition at line 116 of file OgreMath.h. References mDeg.

bool Ogre::Degree::operator<= | ( | const Degree & | d | ) | const

| Definition at line 117 of file OgreMath.h. References mDeg.

Degree& Ogre::Degree::operator= | ( | const Radian & | r | ) |

| Definition at line 94 of file OgreMath.h. References mDeg, and valueDegrees().

Degree& Ogre::Degree::operator= | ( | const Degree & | d | ) |

| Definition at line 93 of file OgreMath.h. References mDeg.

Degree& Ogre::Degree::operator= | ( | const Real & | f | ) |

| Definition at line 92 of file OgreMath.h. References mDeg.

bool Ogre::Degree::operator== | ( | const Degree & | d | ) | const

| Definition at line 118 of file OgreMath.h. References mDeg.

bool Ogre::Degree::operator> | ( | const Degree & | d | ) | const

| Definition at line 121 of file OgreMath.h. References mDeg.

bool Ogre::Degree::operator>= | ( | const Degree & | d | ) | const

| Definition at line 120 of file OgreMath.h. References mDeg.

Real Ogre::Degree::valueAngleUnits | ( |  | ) | const

| Definition at line 570 of file OgreMath.h. References mDeg. Referenced by Ogre::StringConverter::toString().

Real Ogre::Degree::valueDegrees | ( |  | ) | const

| Definition at line 96 of file OgreMath.h. References mDeg. Referenced by Degree(), operator+=(), operator-=(), and operator=().

Real Ogre::Degree::valueRadians | ( |  | ) | const

| Definition at line 565 of file OgreMath.h. References mDeg. Referenced by Ogre::Radian::operator+=(), Ogre::Radian::operator-=(), and Ogre::Radian::operator=().

## Member Data Documentation

Real Ogre::Degree::mDeg`[private]`

| Definition at line 87 of file OgreMath.h. Referenced by Degree(), operator *(), operator *=(), operator!=(), operator+(), operator+=(), operator-(), operator-=(), operator/(), operator/=(), operator<(), operator<=(), operator=(), operator==(), operator>(), operator>=(), valueAngleUnits(), valueDegrees(), and valueRadians().

The documentation for this class was generated from the following file:

- OgreMath.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:10 2008